Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.taglib.jsp
[Java] Class JspFormTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.codehaus.groovy.grails.web.taglib.jsp.JspInvokeGrailsTagLibTag
                  org.codehaus.groovy.grails.web.taglib.jsp.JspFormTag

    public class JspFormTag
    extends JspInvokeGrailsTagLibTag

JSP facade onto the GSP form tag

Authors:
  Graeme Rocher

Field Summary

Fields inherited from class JspInvokeGrailsTagLibTag
attributes

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
EVAL_BODY_TAG, EVAL_BODY_BUFFERED, EVAL_BODY_AGAIN, SKIP_BODY, EVAL_BODY_INCLUDE, SKIP_PAGE, EVAL_PAGE

Constructor Summary
`JspFormTag()`

Method Summary
`java.lang.String` | `getAction()`
`java.lang.String` | `getController()`
`java.lang.String` | `getId()`
`java.lang.String` | `getMethod()`
`java.lang.String` | `getParams()`
`java.lang.String` | `getUrl()`
`void` | `setAction(java.lang.String action)`
`void` | `setController(java.lang.String controller)`
`void` | `setId(java.lang.String id)`
`void` | `setMethod(java.lang.String method)`
`void` | `setParams(java.lang.String params)`
`void` | `setUrl(java.lang.String url)`

Methods inherited from class JspInvokeGrailsTagLibTag
doAfterBody, doEndTag, doStartTag, doStartTagInternal, getTagName, setDynamicAttribute, setTagName

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
javax.servlet.jsp.tagext.BodyTagSupport#release(), javax.servlet.jsp.tagext.BodyTagSupport#doStartTag(), javax.servlet.jsp.tagext.BodyTagSupport#doEndTag(), javax.servlet.jsp.tagext.BodyTagSupport#doAfterBody(), javax.servlet.jsp.tagext.BodyTagSupport#setBodyContent(javax.servlet.jsp.tagext.BodyContent), javax.servlet.jsp.tagext.BodyTagSupport#doInitBody(), javax.servlet.jsp.tagext.BodyTagSupport#getBodyContent(), javax.servlet.jsp.tagext.BodyTagSupport#getPreviousOut(), javax.servlet.jsp.tagext.BodyTagSupport#getValue(java.lang.String), javax.servlet.jsp.tagext.BodyTagSupport#getParent(), javax.servlet.jsp.tagext.BodyTagSupport#getId(), javax.servlet.jsp.tagext.BodyTagSupport#setValue(java.lang.String, java.lang.Object), javax.servlet.jsp.tagext.BodyTagSupport#setParent(javax.servlet.jsp.tagext.Tag), javax.servlet.jsp.tagext.BodyTagSupport#getValues(), javax.servlet.jsp.tagext.BodyTagSupport#setId(java.lang.String), javax.servlet.jsp.tagext.BodyTagSupport#findAncestorWithClass(javax.servlet.jsp.tagext.Tag, java.lang.Class), javax.servlet.jsp.tagext.BodyTagSupport#setPageContext(javax.servlet.jsp.PageContext), javax.servlet.jsp.tagext.BodyTagSupport#removeValue(java.lang.String), javax.servlet.jsp.tagext.BodyTagSupport#wait(), javax.servlet.jsp.tagext.BodyTagSupport#wait(long), javax.servlet.jsp.tagext.BodyTagSupport#wait(long, int), javax.servlet.jsp.tagext.BodyTagSupport#equals(java.lang.Object), javax.servlet.jsp.tagext.BodyTagSupport#toString(), javax.servlet.jsp.tagext.BodyTagSupport#hashCode(), javax.servlet.jsp.tagext.BodyTagSupport#getClass(), javax.servlet.jsp.tagext.BodyTagSupport#notify(), javax.servlet.jsp.tagext.BodyTagSupport#notifyAll()

Constructor Detail

### JspFormTag

    public JspFormTag()

Method Detail

### getAction

    public java.lang.String getAction()

### getController

    public java.lang.String getController()

### getId

    @Override
    public java.lang.String getId()

### getMethod

    public java.lang.String getMethod()

### getParams

    public java.lang.String getParams()

### getUrl

    public java.lang.String getUrl()

### setAction

    public void setAction(java.lang.String action)

### setController

    public void setController(java.lang.String controller)

### setId

    @Override
    public void setId(java.lang.String id)

### setMethod

    public void setMethod(java.lang.String method)

### setParams

    public void setParams(java.lang.String params)

### setUrl

    public void setUrl(java.lang.String url)

Groovy Documentation